# 68. التغيير: تحديث إحصاءات "VectorAnalysisMap"

يقوم بتحديث الإحصاءات لخريطة المناطق. يمكن استخدامه عند إجراء دمج/تقسيم المناطق على واجهة المستخدم.

{% hint style="info" %}
تحقق <https://geopard.tech/blog/merge-and-split-zones/> مقال.&#x20;
{% endhint %}

تبديل (Mutation) لتحديث الإحصاءات دون حفظها في قاعدة البيانات. تحتوي الاستجابة على الإحصاءات المعاد حسابها بصيغة JSON.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/68.-altghyyr-thdyth-ihsaaat-vectoranalysismap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
